## golang-github-containers-storage 1.51.0+ds1

=== debian/changelog ===
golang-github-containers-storage (1.51.0+ds1-2ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 23 Jun 2025 11:58:16 +1000

golang-github-containers-storage (1.51.0+ds1-2ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 25 Oct 2024 12:44:04 +1000

golang-github-containers-storage (1.51.0+ds1-2ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 15 Jul 2024 13:53:43 +0530

golang-github-containers-storage (1.51.0+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 21 Jan 2024 14:58:21 -0500

golang-github-containers-storage (1.51.0+ds1-1) experimental; urgency=medium

  * New upstream release: v1.51.0

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 21 Nov 2023 17:46:03 -0500
