## golang-github-containers-storage 1.53.0+ds1

=== debian/changelog ===
golang-github-containers-storage (1.53.0+ds1-2ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 03 Jul 2025 12:32:05 +1000

golang-github-containers-storage (1.53.0+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 26 Jul 2024 22:42:58 +0200

golang-github-containers-storage (1.53.0+ds1-1) experimental; urgency=medium

  * New upstream release: v1.53.0

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 09 Mar 2024 14:51:41 -0500

golang-github-containers-storage (1.52.0+ds1-1) experimental; urgency=medium

  * New upstream release: v1.52.0

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 09 Feb 2024 11:34:35 -0500
