## golang-github-containers-storage 1.55.1+ds1

=== debian/changelog ===
golang-github-containers-storage (1.55.1+ds1-1) unstable; urgency=medium

  * New upstream release: v1.55.1
    - Bump dependency on securejoin, addresses CVE-2024-9676

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 19 Oct 2024 09:34:17 -0400

golang-github-containers-storage (1.55.0+ds1-3) unstable; urgency=medium

  * Upload to unstable.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 17 Aug 2024 07:30:07 -0400

golang-github-containers-storage (1.55.0+ds1-2) experimental; urgency=medium

  * containers-storage: rename, allow output on stderr
  * Tighten breaks on containers/{image,buildah}

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 07 Aug 2024 07:44:11 -0400

golang-github-containers-storage (1.55.0+ds1-1) experimental; urgency=medium

  * New upstream release: v1.55.0
  * Drop issue1715.patch, no longer needed
  * Skip TestAttachLoopbackDeviceRace if /dev/loop-control is absent
  * debian/copyright: clarify and simplify
  * Drop depends on ffjson, not needed
  * cleanup dependencies on xz/std compressors
  * Add some basic autopkgtests
  * Make containers-storage depend on uidmap

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 04 Aug 2024 17:07:52 -0400
