=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: golang-github-containers-storage
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
            Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper-compat (= 11),
@@ -10,15 +9,15 @@
                ffjson,
                go-md2man,
                golang-github-burntsushi-toml-dev,
+               golang-github-containerd-btrfs-dev (>= 1.0.0),
                golang-github-containerd-stargz-snapshotter-dev (>= 0.8.0-3),
-               golang-github-cyphar-filepath-securejoin-dev,
-               golang-github-containerd-btrfs-dev (>= 1.0.0),
-               golang-github-datadog-zstd-dev,
+               golang-github-cyphar-filepath-securejoin-dev (>= 0.3.4),
                golang-github-docker-go-units-dev,
                golang-github-google-go-intervals-dev,
                golang-github-gotestyourself-gotest.tools-dev,
                golang-github-hashicorp-go-multierror-dev,
                golang-github-json-iterator-go-dev,
+               golang-github-klauspost-compress-dev,
                golang-github-klauspost-pgzip-dev,
                golang-github-mattn-go-shellwords-dev,
                golang-github-moby-sys-dev,
@@ -27,7 +26,6 @@
                golang-github-opencontainers-selinux-dev (>= 1.5.0),
                golang-github-opencontainers-specs-dev,
                golang-github-pkg-errors-dev,
-               golang-github-pquerna-ffjson-dev,
                golang-github-sirupsen-logrus-dev,
                golang-github-stretchr-testify-dev,
                golang-github-ulikunitz-xz-dev,
@@ -52,13 +50,13 @@
 Architecture: all
 Depends: golang-github-burntsushi-toml-dev,
          golang-github-containerd-stargz-snapshotter-dev,
-         golang-github-cyphar-filepath-securejoin-dev,
-         golang-github-datadog-zstd-dev,
+         golang-github-cyphar-filepath-securejoin-dev (>= 0.3.4),
          golang-github-docker-go-units-dev,
          golang-github-google-go-intervals-dev,
          golang-github-gotestyourself-gotest.tools-dev,
          golang-github-hashicorp-go-multierror-dev,
          golang-github-json-iterator-go-dev,
+         golang-github-klauspost-compress-dev,
          golang-github-klauspost-pgzip-dev,
          golang-github-mattn-go-shellwords-dev,
          golang-github-moby-sys-dev,
@@ -67,9 +65,9 @@
          golang-github-opencontainers-selinux-dev (>= 1.0.0),
          golang-github-opencontainers-specs-dev,
          golang-github-pkg-errors-dev,
-         golang-github-pquerna-ffjson-dev,
          golang-github-sirupsen-logrus-dev,
          golang-github-stretchr-testify-dev,
+         golang-github-ulikunitz-xz-dev,
          golang-github-vbatts-tar-split-dev,
          golang-go-patricia-dev,
          golang-go-zfs-dev,
@@ -79,7 +77,9 @@
          libbtrfs-dev,
          libdevmapper-dev,
          ${misc:Depends}
-Breaks: golang-github-containers-buildah-dev (<< 1.30)
+Breaks: golang-github-containers-buildah-dev (<< 1.37),
+        golang-github-containers-image-dev (<< 5.32),
+        libpod (<< 5.2)
 Description: Go library for handling how containers are stored on disk
  storage is a Go library which aims to provide methods for storing
  filesystem layers, container images, and containers.  A containers-storage
@@ -90,7 +90,7 @@
 Package: containers-storage
 Architecture: any
 Built-Using: ${misc:Built-Using}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: uidmap, ${misc:Depends}, ${shlibs:Depends}
 Description: CLI tools for handling how containers are stored on disk
  storage is a Go library which aims to provide methods for storing
  filesystem layers, container images, and containers.  A containers-storage
