## golang-github-containers-storage 1.56.0+ds1

=== debian/changelog ===
golang-github-containers-storage (1.56.0+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 17 Nov 2024 09:55:54 -0500

golang-github-containers-storage (1.56.0+ds1-1) experimental; urgency=medium

  * New upstream release: v1.56.0
  * bump dependency on golang-github-moby-sys-dev
  * TestStoreMultiList: Skip if not running as root

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 09 Nov 2024 07:33:18 -0500
