## golang-github-containers-storage 1.56.1+ds1

=== debian/changelog ===
golang-github-containers-storage (1.56.1+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 19 Jan 2025 15:44:54 -0500
