=== debian/changelog ===
golang-github-containers-storage (1.57.2+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 17 Mar 2025 21:13:19 -0400
