=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                golang-github-klauspost-compress-dev,
                golang-github-klauspost-pgzip-dev,
                golang-github-mattn-go-shellwords-dev,
-               golang-github-moby-sys-dev,
+               golang-github-moby-sys-dev (>> 0.0~git20241107),
                golang-github-opencontainers-go-digest-dev,
                golang-github-opencontainers-runc-dev,
                golang-github-opencontainers-selinux-dev (>= 1.5.0),
