## golang-github-containers-storage 1.59.1+ds1

=== Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 # N/B: This value is managed by Renovate, manual changes are
 # possible, as long as they don't disturb the formatting
 # (i.e. DO NOT ADD A 'v' prefix!)
-GOLANGCI_LINT_VERSION := 1.64.5
+GOLANGCI_LINT_VERSION := 2.2.1
 
 default all: local-binary docs local-validate local-cross ## validate all checks, build and cross-build\nbinaries and docs
