=== debian/changelog ===
golang-github-containers-storage (1.59.1+ds1-3) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 19 Sep 2025 06:12:46 -0400

golang-github-containers-storage (1.59.1+ds1-2) experimental; urgency=medium

  * Refresh patches
  * TestStoreDelete: Skip if running with insufficient priviledges

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 23 Aug 2025 12:27:50 -0400

golang-github-containers-storage (1.59.1+ds1-1) experimental; urgency=medium

  * New upstream release
  * Bump Standards Version
  * Update debian/copyright
  * Use Static-Built-Using

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 23 Aug 2025 07:34:07 -0400
