=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
                golang-golang-x-sys-dev (>> 0.0~git20201223),
                libbtrfs-dev,
                libdevmapper-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/containers/storage
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-storage
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-storage.git
@@ -89,7 +89,7 @@
 
 Package: containers-storage
 Architecture: any
-Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Depends: uidmap, ${misc:Depends}, ${shlibs:Depends}
 Description: CLI tools for handling how containers are stored on disk
  storage is a Go library which aims to provide methods for storing
