=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export DH_GOLANG_GO_GENERATE := 1
 export DEB_BUILD_MAINT_OPTIONS := optimize=-lto
-export DH_GOLANG_INSTALL_EXTRA := $(wildcard types/*.conf)
+export DH_GOLANG_INSTALL_EXTRA := $(wildcard types/*.conf) VERSION
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
