## golang-github-containers-storage 1.61.0%2Bds1

=== debian/tests/control ===
--- 
+++ 
@@ -8,7 +8,5 @@
 
 Tests: bats
 Architecture: amd64, arm64
-Depends: bats,
-         @,
-         @recommends@
-Restrictions: allow-stderr, needs-internet, isolation-machine, needs-root
+Depends: bats, @, @recommends@
+Restrictions: allow-stderr, isolation-machine, needs-internet, needs-root
