## golang-github-containers-storage 1.61.0+ds1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,6 @@
 	all \
 	binary \
 	clean \
-	codespell \
 	containers-storage \
 	cross \
 	default \
@@ -11,7 +10,6 @@
 	help \
 	install \
 	install.docs \
-	install.tools \
 	lint \
 	local-binary \
 	local-cross \
@@ -19,12 +17,8 @@
 	local-test \
 	local-test-integration \
 	local-test-unit \
-	local-validate \
 	test-integration \
-	test-unit \
-	validate \
-	vendor \
-	vendor-in-container
+	test-unit
 
 NATIVETAGS :=
 AUTOTAGS := $(shell ./hack/btrfs_tag.sh) $(shell ./hack/libsubid_tag.sh)
@@ -32,21 +26,13 @@
 GO ?= go
 TESTFLAGS := $(shell $(GO) test -race $(BUILDFLAGS) ./pkg/stringutils 2>&1 > /dev/null && echo -race)
 
-# N/B: This value is managed by Renovate, manual changes are
-# possible, as long as they don't disturb the formatting
-# (i.e. DO NOT ADD A 'v' prefix!)
-GOLANGCI_LINT_VERSION := 2.2.1
-
-default all: local-binary docs local-validate local-cross ## validate all checks, build and cross-build\nbinaries and docs
+default all: local-binary docs local-cross ## build and cross-build\nbinaries and docs
 
 clean: ## remove all built files
 	$(RM) -f containers-storage containers-storage.* docs/*.1 docs/*.5
 
 containers-storage: ## build using gc on the host
 	$(GO) build -compiler gc $(BUILDFLAGS) ./cmd/containers-storage
-
-codespell:
-	codespell
 
 binary local-binary: containers-storage
 
@@ -64,7 +50,7 @@
 		env CGO_ENABLED=0 GOOS=$${os} GOARCH=$${arch} $(GO) build -compiler gc -tags "$(NATIVETAGS) $(TAGS)" $(FLAGS) -o containers-storage.$${suffix} ./cmd/containers-storage || exit 1 ; \
 	done
 
-docs: install.tools ## build the docs on the host
+docs: ## build the docs on the host
 	$(MAKE) -C docs docs
 
 local-test: local-binary local-test-unit local-test-integration ## build the binaries and run the tests
@@ -75,27 +61,23 @@
 local-test-integration test-integration: local-binary ## run the integration tests on the host (requires\nsuperuser privileges)
 	@cd tests; ./test_runner.bash
 
-local-validate validate: install.tools ## validate DCO on the host
-	@./hack/git-validation.sh
-
-install.tools:
-	$(MAKE) -C tests/tools GOLANGCI_LINT_VERSION=$(GOLANGCI_LINT_VERSION)
-
 install.docs: docs
 	$(MAKE) -C docs install
 
 install: install.docs
 
-lint: install.tools
-	tests/tools/build/golangci-lint run --build-tags="$(AUTOTAGS) $(TAGS)"
+lint:
+	golangci-lint run --build-tags="$(AUTOTAGS) $(TAGS)"
 
 help: ## this help
 	@awk 'BEGIN {FS = ":.*?## "} /^[a-z A-Z_-]+:.*?## / {gsub(" ",",",$$1);gsub("\\\\n",sprintf("\n%22c"," "), $$2);printf "\033[36m%-21s\033[0m %s\n", $$1, $$2}' $(MAKEFILE_LIST)
 
-vendor-in-container:
-	podman run --privileged --rm --env HOME=/root -v `pwd`:/src -w /src golang make vendor
+.PHONY: tidy-in-container
+tidy-in-container:
+	podman run --privileged --rm --env HOME=/root -v `pwd`:/src -w /src golang make tidy
 
-vendor:
+.PHONY: tidy
+tidy:
 	$(GO) mod tidy
-	$(GO) mod vendor
 	$(GO) mod verify
+	$(GO) mod edit -toolchain none
