=== debian/changelog ===
golang-github-containers-storage (1.61.0+ds1-1) experimental; urgency=medium

  * New upstream release
  * Switch to fetch sources from monorepo, cf.
    https://blog.podman.io/2025/08/migration-to-the-container-libs-monorepo-is-complete/
  * Switch to new golang import path go.podman.io/storage, keep compat symlink

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 13 Nov 2025 07:12:42 -0500
