=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
 Homepage: https://github.com/containers/storage
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-storage
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-storage.git
-XS-Go-Import-Path: github.com/containers/storage
+XS-Go-Import-Path: go.podman.io/storage
 Testsuite: autopkgtest-pkg-go
 Rules-Requires-Root: no
