=== debian/rules ===
--- 
+++ 
@@ -31,3 +31,8 @@
 override_dh_installman:
 	make -C docs GOMD2MAN=go-md2man
 	dh_installman -pcontainers-storage docs/*.1 docs/*.5
+
+# compatibility symlink
+execute_after_dh_auto_install:
+	mkdir -pv debian/tmp/usr/share/gocode/src/github.com/containers
+	ln -svf ../../go.podman.io/storage debian/tmp/usr/share/gocode/src/github.com/containers/storage
