## golang-github-containers-storage 1.62.0

=== debian/changelog ===
golang-github-containers-storage (1.62.0-1) experimental; urgency=medium

  * New upstream release
  * Bump Standards-Version, no changes needed
  * debian/copyright: various corrections

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 03 Mar 2026 08:16:01 -0500
