=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
                golang-golang-x-sys-dev (>> 0.0~git20201223),
                libbtrfs-dev,
                libdevmapper-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/containers/storage
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-storage
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-storage.git
